| Home | Libraries | People | FAQ | More

## Struct template bitwise_xor

boost::proto::bitwise_xor — A metafunction for generating bitwise-xor expression types, a grammar element for matching bitwise-xor expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct bitwise_xor :  proto::transform< bitwise_xor<T, U> > {
      // types
      typedef proto::expr< proto::tag::bitwise_xor, proto::list2< T, U > > type;
      typedef type                                                         proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<bitwise_xor>::template impl<Expr, State, Data>
      {
      };
    };

## Description